### Class

# Ide DebuggerFrame

#### Description

    class Ide.DebuggerFrame : GObject.Object {
      parent_instance: GObject
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### ide_debugger_frame_new

No description available.

#### Instance methods

###### ide_debugger_frame_get_address

No description available.

###### ide_debugger_frame_get_args

No description available.

###### ide_debugger_frame_get_depth

No description available.

###### ide_debugger_frame_get_file

No description available.

###### ide_debugger_frame_get_function

No description available.

###### ide_debugger_frame_get_library

No description available.

###### ide_debugger_frame_get_line

No description available.

###### ide_debugger_frame_set_address

No description available.

###### ide_debugger_frame_set_args

No description available.

###### ide_debugger_frame_set_depth

No description available.

###### ide_debugger_frame_set_file

No description available.

###### ide_debugger_frame_set_function

No description available.

###### ide_debugger_frame_set_library

No description available.

###### ide_debugger_frame_set_line

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Ide.DebuggerFrame:address

No description available.

###### Ide.DebuggerFrame:args

No description available.

###### Ide.DebuggerFrame:depth

No description available.

###### Ide.DebuggerFrame:file

No description available.

###### Ide.DebuggerFrame:function

No description available.

###### Ide.DebuggerFrame:library

No description available.

###### Ide.DebuggerFrame:line

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeDebuggerFrameClass {
      GObjectClass parent;

    }

###### Class members

`parent` |
    GObjectClass
| No description available.